#
# spec file for package ebtables (Version v2.0.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ebtables
License:        GPLv2+
Group:          Productivity/Networking/Security
Version:        v2.0.9
Release:        2.1.1
Summary:        Ethernet Bridge Tables
Source:         %{name}-%{version}-1.tar.bz2
Patch0:         %{name}-v2.0.8-makefile.diff
Patch1:         %{name}-v2.0.8-initscript.diff
Url:            http://ebtables.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A firewalling tool to transparently filter network traffic passing a
bridge. The filtering possibilities are limited to link layer filtering
and some basic filtering on higher network layers. The ebtables tool
can be used together with the other Linux filtering tools, like
iptables. There are no incompatibility issues.



Authors:
--------
    Bart De Schuymer <bdschuym@pandora.be>
    Nick Fedchik <nick@fedchik.org.ua>
    Grzegorz Borowiak <grzes@gnu.univ.gda.pl>

%prep
%setup -q -n %{name}-%{version}-1
%patch0
%patch1

%build
# The way ebtables is built requires ASNEEDED=0 forever [bnc#567267]
export SUSE_ASNEEDED=0
# delete all kernel headers, but keep ebt_ip6.h and ebt_nflog.h
mv include/linux/netfilter_bridge/ebt_ip6.{h,h.save}
mv include/linux/netfilter_bridge/ebt_nflog.{h,h.save}
rm -f include/linux/*.h
rm -f include/linux/netfilter_bridge/*.h
mv include/linux/netfilter_bridge/ebt_ip6.{h.save,h}
mv include/linux/netfilter_bridge/ebt_nflog.{h.save,h}
make \
    CFLAGS="$RPM_OPT_FLAGS" \
    CXXFLAGS="$RPM_OPT_FLAGS" \
    LIBDIR=%{_libdir}/%{name} \
    MANDIR=%{_mandir} \
    BINDIR=%{_sbindir} \
    ETCDIR=%{_sysconfdir} \
    INITDIR=%{_sysconfdir}/init.d \
    SYSCONFIGDIR=%{_sysconfdir}

%install
# The way ebtables is built requires ASNEEDED=0 forever [bnc#567267]
export SUSE_ASNEEDED=0
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
make \
    DESTDIR=$RPM_BUILD_ROOT \
    LIBDIR=%{_libdir}/%{name} \
    MANDIR=%{_mandir} \
    BINDIR=%{_sbindir} \
    ETCDIR=%{_sysconfdir} \
    INITDIR=%{_sysconfdir}/init.d \
    SYSCONFIGDIR=%{_sysconfdir} \
    install
ln -sf %{_sysconfdir}/init.d/ebtables $RPM_BUILD_ROOT%{_sbindir}/rcebtables

%post
/sbin/ldconfig
%fillup_and_insserv ebtables

%preun
%stop_on_removal ebtables

%postun
%restart_on_update ebtables
%insserv_cleanup
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man8/ebtables.8*
%config(noreplace) %{_sysconfdir}/ebtables-config
%config(noreplace) %{_sysconfdir}/ethertypes
%{_sysconfdir}/init.d/ebtables
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_sbindir}/ebtables
%{_sbindir}/ebtables-restore
%{_sbindir}/ebtables-save
%{_sbindir}/rcebtables

%changelog
* Thu Mar 18 2010 coolo@novell.com
- use rc_status (uncredited change)
* Mon Jan 25 2010 jengelh@medozas.de
- Switch to SUSE_ASNEEDED=0 to fix segmentation fault/NULL dereference
  (caused by plugins not being loaded, due to them not being linked in)
  [bnc#567267]
* Wed Jan  6 2010 prusnak@suse.cz
- update to 2.0.9-1
  * added ip6 module for filtering IPv6 traffic
  * added --log-ip6 option for logging IPv6 traffic
  * added nflog watcher for logging packets to userspace
  * bugfix in ebtables.sysv
  * bugfix for among match on x86-64
- fix scriptlets in spec
- fix init script
* Sat Aug 30 2008 cthiel@suse.de
- fix init script
* Wed Oct 24 2007 ro@suse.de
- fix build (use gcc not ld directly)
* Wed Oct 17 2007 prusnak@suse.cz
- fixed specfile not to include debug files in normal package
* Fri Oct 12 2007 prusnak@suse.cz
- update to 2.0.8-2
  * add sysconfig support (ebtables-save, ebtables-restore, etc)
  * add ulog watcher
  * use shared libraries (making the code easily usable by third parties)
  * improve speed
  * bugfixes, dccp and sctp support
- dropped obsolete patches:
  * gcc.diff (included in update)
* Thu Aug  9 2007 olh@suse.de
- remove private include/linux/ files
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jun 29 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Thu Apr 21 2005 postadal@suse.cz
- fixed for gcc 4.0
* Fri Jun 18 2004 postadal@suse.cz
- new package v2.0.6
